Subject: Re: bug#76439: [PATCH] Specify 'tab-bar-history-mode' in 'winner-mode' docstring

From: Ship Mints <[email-masked]>
Date: Fri, 21 Feb 2025 09:16:12 -0500

Not sure what it means to "turn" a window configuration.  Perhaps something
like below is simpler and gets the salient point across and adds the key
binding information winner-mode users might find to be helpful
encouragement.

If you use `tab-bar-mode', consider using `tab-bar-history-mode', as
`winner-mode' is unaware of tab switching, and can confuse `tab-bar'
window configurations.  `tab-bar-history-mode' provides
tab-specific window configuration history, avoiding this problem, and
its default key bindings match those of `winner-mode'.

On Fri, Feb 21, 2025 at 9:05 AM Visuwesh <[email-masked]> wrote:

> [வெள்ளி பிப்ரவரி 21, 2025] Eli Zaretskii wrote:
>
> >> From: Visuwesh <[email-masked]>
> >> Cc: Stephen Berman <[email-masked]>,  Eli Zaretskii <
> [email-masked]>,
> >>   [email-masked],  [email-masked]
> >> Date: Fri, 21 Feb 2025 16:35:07 +0530
> >>
> >> I've left this part out since I feel the sentence has a different
> >> meaning with this comma.
> >
> > Thanks.  This version is okay, with one minor nit:
> >
> >> +If you use `tab-bar-mode', consider using `tab-bar-history-mode' as
> >> +`winner-mode' is unaware of tab switching, and might turn the window
> >
> > There should be a comma before "as".
>
> I hope this is all okay now.
>
>